\name{DiscreteWeibull-package}
\alias{DiscreteWeibull-package}
\alias{DiscreteWeibull}
\docType{package}
\title{
Discrete Weibull Distributions (Type 1 and 3)
}
\description{
Probability mass function, distribution function, quantile function, random generation and parameter estimation for the type I and III discrete Weibull distributions
}
\details{
\tabular{ll}{
Package: \tab DiscreteWeibull\cr
Type: \tab Package\cr
Version: \tab 1.0.1\cr
Date: \tab 2015-07-08\cr
License: \tab GPL\cr
LazyLoad: \tab yes\cr
Depends: \tab Rsolnp\cr
}
}
\author{
Alessandro Barbiero <alessandro.barbiero@unimi.it>
}
\references{
T. Nakagawa and S. Osaki (1975) The discrete Weibull distribution, IEEE Transactions on Reliability, 24(5), pp. 300-301

D.N.P. Murthy, M. Xie, R Jiang (2004) Weibull models, John Wiley & Sons: Hoboken, New Jersey

W.J. Padgett and J.D. Spurrier (1985) Discrete failure models. IEEE Transactions on Reliability, 34(3), pp. 253-256

H. Rinne (2008) The Weibull Distribution: A Handbook. CRC Press: Boca Raton, Florida

M. S. A. Khan, A. Khalique, and A. M. Abouammoh (1989) On estimating parameters in a discrete Weibull distribution, IEEE Transactions on Reliability, 38(3), pp. 348-350
}
\keyword{package}
\seealso{
\code{\link{ddweibull}}, \code{\link{estdweibull}}, \code{\link{Edweibull}}, \code{\link{ddweibull3}}, \code{\link{estdweibull3}}, \code{\link{Edweibull3}}
}

